﻿
@{
    ViewBag.Title = "BlogCreate";
    Layout = "~/Areas/Admin/Views/Shared/_adminlayout.cshtml";
}


<link href="~/Content/Site.css" rel="stylesheet" />

<link href="~/Content/simple-image.css" rel="stylesheet" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script src="https://cdn.ckeditor.com/4.13.0/standard/ckeditor.js"></script>
<link href="http://localhost:58489/Content/bootstrap.min.css" rel="stylesheet" />
@*<link href="~/theme/css/style.css" rel="stylesheet" />*@

<style>
    #sortable {
        list-style-type: none;
        margin: 0;
        padding: 0;
        width: 60%;
    }

        #sortable li {
            margin: 0 5px 5px 5px;
            padding: 5px;
            font-size: 1.2em;
            height: 1.5em;
        }

        html > body #sortable li {
            height: 1.5em;
            line-height: 1.2em;
        }

    .ui-state-highlight {
        height: 1.5em;
        line-height: 1.2em;
    }
</style>
<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
<script src="~/theme/ckEditor/ckeditor/ckeditor.js"></script>
<link href="~/theme/lib/file-uploader/css/jquery.fileupload.css" rel="stylesheet" />

<section class="wrapper site-min-height">
    <ol class="arrows">
        <li>
            <i class="fa fa-desktop"></i>
            @if (ViewContext.RouteData.Values["controller"].ToString() != "Home")
            {
                @Html.ActionLink(ViewContext.RouteData.Values["controller"].ToString(), "Index", ViewContext.RouteData.Values["controller"].ToString())
            }
            <i class="fa fa-angle-right"></i>
        </li>
        <li>

            @if (ViewContext.RouteData.Values["action"].ToString() != "Index")
            {
                @Html.ActionLink("Create Blog", ViewContext.RouteData.Values["action"].ToString(), ViewContext.RouteData.Values["controller"].ToString())
            }
        </li>
    </ol>
    <h3> Blog Create</h3>
    <hr>
    <div id="faq" role="tablist" aria-multiselectable="true">
        <div class="panel panel-default">
            <div class="panel-heading" role="tab" id="questionOne">
                <h5 class="panel-title">
                    <a data-parent="#faq" aria-expanded="false" aria-controls="answerOne">
                        Blog Title
                    </a>
                </h5>
            </div>
            <div id="answerOne" class="" role="tabpanel" aria-labelledby="questionOne">
                <div class="panel-body">
                    <form class="form-horizontal style-form" method="get">
                        <div class="form-group">
                            <label class="col-sm-2 col-sm-2 control-label">Blog Title</label>
                            <div class="col-sm-10">
                                <input id="txt_blogtitle" maxlength="50" type="text" class="form-control">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 col-sm-2 control-label">Blog Title Image</label>
                            <div class="col-sm-10">
                                <input type="file" class="form-control" id="upload_file_Title" name="upload_file[]" onchange="preview_TitleImg();">
                                <div id="ImageUploadTitle" style="display:none; width: 412px;margin-top: 15px; height: 250px;">
                                </div>

                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 col-sm-2 control-label">Active</label>
                            <div class="col-sm-10">
                                <input type="checkbox" id="check_active" checked data-toggle="toggle">
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 col-sm-2 control-label">Description</label>
                            <div class="col-sm-10">
                                <textarea id="FullDescription" name="FullDescription">
                                </textarea>

                            </div>
                        </div>
                        <div class="col-md-12">

                            <div class="">&nbsp;<button type="button" onclick="SaveBlogTitle()" class="btn btn-theme">Submit</button> </div>

                        </div>

                    </form>
                </div>
            </div>
        </div>



    </div>



</section>

<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script src="~/Scripts/CommonFunction.js"></script>
<link href="~/Content/Site.css" rel="stylesheet" />
<script src="~/theme/lib/bootstrap-inputmask/bootstrap-inputmask.min.js"></script>
<script>
    CKEDITOR.replace("FullDescription", {
        filebrowserImageBrowseUrl: '/Admin/blog/uploadPartial',
        filebrowserImageUploadUrl: '/Admin/blog/uploadnow',
    });
    function updateValue(id, value) {
        debugger;
        var jqueryObjectByClass = $(".cke_dialog_ui_input_text")[1];
        jqueryObjectByClass.value = value;
    }
</script>
<script>
    
 

  


    function preview_TitleImg() {
        var total_file = document.getElementById("upload_file_Title").files.length;
        document.getElementById('ImageUploadTitle').innerHTML = '';
        $('#ImageUploadTitle').append("<img class='example4 img-responsive' style='width:412px;margin-top:15px;height:250px;' src= '" + URL.createObjectURL(event.target.files[0]) + "' alt=''>");
        $('#ImageUploadTitle').show();


    }
 

    function SaveBlogTitle() {
        
        try {
            debugger;
            var txt_blogtitle = (CheckValueNullOrNOT($('#txt_blogtitle').val()));
            if (!txt_blogtitle) {
                alert("Please enter blog title.");
                return;
            }

            var blogtitle = $("#txt_blogtitle").val();
            var Blogstatus = "";
            if($('#check_active').prop('checked')){
                Blogstatus = true
            }
            else {
                Blogstatus = false
            }
            var desc = CKEDITOR.instances['FullDescription'].getData();
            var files = $("#upload_file_Title").get(0).files;
            var data1 = new FormData();
            data1.append("bId", 0);
            data1.append("bTitle", blogtitle);
            data1.append("bStatus", Blogstatus);
            data1.append("upload_file_Title", files[0]);
            data1.append("bDecs", desc);
            

            $.ajax({
                type: "POST",
                async: false,
                dataType: 'json',
                contentType: false,
                processData: false,

                url: '@Url.Action("BlogTitlesave", "Blog", new { area = "admin"})',
                data: data1,
                success: function (data) {
                    if (data.status == true) {
                        alert("Blog  add successfully..");
                        var url = '@Url.Action("Index", "Blog", new { area = "admin"})';
                       
                        window.location.href = url;

                    }
                }
                
            });
        } catch (e) {
            alert(e)
        }
    }
</script>

